Play Framework Sinir Stresleri – 1

Herkese merhaba,

Uzun aradan sonra play framework kullanarak birşeyler yapmam gerekti ki, yeni bir versiyonu çıkmış ve arkadaşlar  base versiyonu güncellemişler. Bunun sonucu olarak hepinizin eninde sonunda alacağı bir hata olan aşağıdaki güzellikle karşılaştım:

[error] (*:update) sbt.ResolveException: download failed: org.slf4j#slf4j-api;1.6.6!slf4j-api.jar
[info] Updating {file:/path/to/your/workspace/}asante...
[warn]  [NOT FOUND  ] org.slf4j#slf4j-api;1.6.6!slf4j-api.jar (0ms)
[warn] ==== local: tried
[warn]   /path/to/your/play/home/play-2.1.1/repository/local/org.slf4j/slf4j-api/1.6.6/jars/slf4j-api.jar
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
[warn]  ::              FAILED DOWNLOADS            ::
[warn]  :: ^ see resolution messages for details  ^ ::
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
[warn]  :: org.slf4j#slf4j-api;1.6.6!slf4j-api.jar
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
 İnternette aradığımda karşıma saçma sapan blog yazıları çıktı. Bu sebeple bu yazıyı yazma ihtiyacı duydum. Arkadaşlar bu hatanın sebebi, makinanıza kurulu olan Play versiyonu ile projenin Play versiyonunun farklı olmasıdır!!!! Bunu plugins.sbt den düzelttiğinizde sorun ortadan kalkacak.
Satir atlama
Örneğin sizde 2.1.1 vardı ve uygulama 2.1.3 kullanıyorsa bu hatayla karşılaşacaksınız demektir. Versiyonunuzu güncelleyin ve ilerlemeye devam edin.
Satir atlama : )
Web’de de karşınıza çıkan yok efendim 2.0.7 yap geçer, 2.1.5 te bu sorun yok gibi izansız ifadelere de önem vermeyin.
Satir atlama
İyi kodlamalar!